openapi: 3.0.3
info:
  title: Swifty Receiver API
  version: 0.1.DEV-0
  description: |
      API for the Swifty Receiver
  contact:
    name: RxFoundry Team
    email: paul.tindall@rxfoundry.com

servers:
  - url: /api

paths:
  '/receiver/1/async/message':
    $ref: 'receiver-endpoints.yaml#/paths/~1async~1message'

  '/receiver/1/version':
    $ref: 'receiver-endpoints.yaml#/paths/~1version'

components:
  schemas: {}

  securitySchemes:
    opaque_token:
      type: http
      scheme: bearer
      bearerFormat: opaque
      x-bearerInfoFunc: swifty_receiver_api.controllers.authorization_controller.check_token